Debian Bug report logs - #670412
geli init script fails if /etc/default/geli is unconfigured

version graph

Package: geom; Maintainer for geom is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for geom is src:freebsd-utils.

Reported by: Stefan Bühler <stbuehler@lighttpd.net>

Date: Wed, 25 Apr 2012 11:57:02 UTC

Severity: normal

Found in version freebsd-utils/9.0+ds1-3

Fixed in version freebsd-utils/9.0+ds1-4

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#670412; Package geom. (Wed, 25 Apr 2012 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Bühler <stbuehler@lighttpd.net>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 25 Apr 2012 11:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Bühler <stbuehler@lighttpd.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: geli init script fails if /etc/default/geli is unconfigured
Date: Wed, 25 Apr 2012 13:52:51 +0200
Package: geom
Version: 9.0+ds1-3

The geli init script fails if no geli devices are configured in 
/etc/fstab and /etc/default/geli.
This prevented an upgrade of geom and freebsd-geom:

[...]
Setting up geom (9.0+ds1-3) ...
Starting GELI subsystem...UNCONFIGURED. See /etc/default/geli ... failed!
invoke-rc.d: initscript geli, action "start" failed.
dpkg: error processing geom (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      dpkg: dependency problems prevent 
configuration of freebsd-geom:
 freebsd-geom depends on geom; however:
  Package geom is not configured yet.
dpkg: error processing freebsd-geom (--configure):
 dependency problems - leaving unconfigured
[...]

As geom contains more than just geli it is imho wrong to print an error 
(warning is fine ofc), but it certainly is wrong to fail the init script.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#670412; Package geom. (Wed, 25 Apr 2012 14:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 25 Apr 2012 14:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 670412@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Stefan Bühler <stbuehler@lighttpd.net>, 670412@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#670412: geli init script fails if /etc/default/geli is unconfigured
Date: Wed, 25 Apr 2012 15:36:05 +0100
On 25/04/12 12:52, Stefan Bühler wrote:
> Setting up geom (9.0+ds1-3) ...
> Starting GELI subsystem...UNCONFIGURED. See /etc/default/geli ... failed!
> invoke-rc.d: initscript geli, action "start" failed.
> dpkg: error processing geom (--configure):
>  subprocess installed post-installation script returned error exit status 1

Hi,

The initscript will need to return zero exit status in this case (Debian
policy seems to allow that, despite contradictory LSB policy).


But there is still a choice in how this can be displayed:

1. With existing log_failure_msg:

Starting GELI subsystem... UNCONFIGURED. See /etc/default/geli ... failed!

2. With log_success_msg (with implicit log_end_msg 0 = 'ok') :

Starting GELI subsystem... UNCONFIGURED. See /etc/default/geli.

3. With log_warning_msg (with implicit log_end_msg 255 = 'warning') :

Starting GELI subsystem... UNCONFIGURED. See /etc/default/geli (warning).

And if we get the fancy new lsb-base (4.1+Debian0+fancy1) in Wheezy,
these would be preceded by [FAIL], [ ok ] or [warn] coloured
red/green/yellow respectively.


I think I prefer option 3, and also fixing the screaming capital
letters.  That seems the best way to communicate a not-quite-successful
status, so the administrator is encouraged to either properly configure
it or remove it.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Added tag(s) pending. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 25 Apr 2012 21:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#670412; Package geom. (Thu, 26 Apr 2012 00:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 26 Apr 2012 00:24:06 GMT) Full text and rfc822 format available.

Message #17 received at 670412@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
Cc: 670412@bugs.debian.org
Subject: Re: Bug#670412: geli init script fails if /etc/default/geli is unconfigured
Date: Thu, 26 Apr 2012 01:21:51 +0100
On 26/04/12 00:21, Steve Fouchet wrote:
> It can be bypass if you initialise $geli_devices with any value in
> /etc/default/geli.
> ex : geli_devices="da75"
> 
> then geli start and booting process/ packages configuration can continue.

Thanks... that would work around this problem, yes.

The package needed fixing though, otherwise it breaks the
install/upgrade process, like for users who haven't created their geli
devices yet.  Or some users might want to install the geli tools but
don't want to initialise any devices at boot time.

I've committed a fix to SVN for the next upload of freebsd-utils which:

* exits the initscript with status 0 -- that fixes the error seen during
dpkg/apt-get;
* shows this warning at startup, if no geli devices are configured:

[warn] Starting GELI subsystem: not configured; see /etc/default/geli
(warning).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 08 May 2012 06:51:06 GMT) Full text and rfc822 format available.

Notification sent to Stefan Bühler <stbuehler@lighttpd.net>:
Bug acknowledged by developer. (Tue, 08 May 2012 06:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 670412-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 670412-close@bugs.debian.org
Subject: Bug#670412: fixed in freebsd-utils 9.0+ds1-4
Date: Tue, 08 May 2012 06:47:36 +0000
Source: freebsd-utils
Source-Version: 9.0+ds1-4

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd-udeb_9.0+ds1-4_kfreebsd-i386.udeb
  to main/f/freebsd-utils/devd-udeb_9.0+ds1-4_kfreebsd-i386.udeb
devd_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/devd_9.0+ds1-4_kfreebsd-i386.deb
freebsd-geom_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-geom_9.0+ds1-4_kfreebsd-i386.deb
freebsd-net-tools-udeb_9.0+ds1-4_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_9.0+ds1-4_kfreebsd-i386.udeb
freebsd-net-tools_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-net-tools_9.0+ds1-4_kfreebsd-i386.deb
freebsd-nfs-common_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-common_9.0+ds1-4_kfreebsd-i386.deb
freebsd-nfs-server_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-server_9.0+ds1-4_kfreebsd-i386.deb
freebsd-ppp_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-ppp_9.0+ds1-4_kfreebsd-i386.deb
freebsd-utils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
freebsd-utils_9.0+ds1-4.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-4.debian.tar.gz
freebsd-utils_9.0+ds1-4.dsc
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-4.dsc
freebsd-utils_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-utils_9.0+ds1-4_kfreebsd-i386.deb
geom_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/geom_9.0+ds1-4_kfreebsd-i386.deb
kbdcontrol-udeb_9.0+ds1-4_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_9.0+ds1-4_kfreebsd-i386.udeb
kbdcontrol_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/kbdcontrol_9.0+ds1-4_kfreebsd-i386.deb
kldutils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kldutils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
kldutils_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/kldutils_9.0+ds1-4_kfreebsd-i386.deb
ktrace_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/ktrace_9.0+ds1-4_kfreebsd-i386.deb
mkuzip_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/mkuzip_9.0+ds1-4_kfreebsd-i386.deb
pf_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/pf_9.0+ds1-4_kfreebsd-i386.deb
powerd_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/powerd_9.0+ds1-4_kfreebsd-i386.deb
vidcontrol_9.0+ds1-4_kfreebsd-i386.deb
  to main/f/freebsd-utils/vidcontrol_9.0+ds1-4_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670412@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 May 2012 23:56:13 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common geom freebsd-geom freebsd-ppp devd devd-udeb ktrace pf powerd mkuzip
Architecture: source kfreebsd-i386
Version: 9.0+ds1-4
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 devd-udeb  - device state change monitoring daemon (udeb)
 freebsd-geom - modular disk I/O request transformation framework (meta-package)
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 geom       - modular disk I/O request transformation framework
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 mkuzip     - Disk image compression utility
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 670412
Changes: 
 freebsd-utils (9.0+ds1-4) unstable; urgency=low
 .
   [ Robert Millan ]
   * Start devd after kldutils to ensure kern.module_path has been set.
   * Reduce kern.module_path to only contain versioned directories.
 .
   [ Steven Chamberlain ]
   * Return exit status 0 from the geli initscript if not configured, but
     display a warning.  (Closes: #670412)
   * Fix duplicates of Section: utils or Priority: important in debian/control
     (lintian tag binary-control-field-duplicates-source)
Checksums-Sha1: 
 3a51ea20c78293a50149dc683d344ad63165ae8c 2732 freebsd-utils_9.0+ds1-4.dsc
 8cfed95f7d371029c99f3bd5f34e7090db304405 145877 freebsd-utils_9.0+ds1-4.debian.tar.gz
 55666c924c0a1ae5c6b6243f2605204ed7bdff12 258234 freebsd-utils_9.0+ds1-4_kfreebsd-i386.deb
 59963d398af950cb402ae782b567bd871001f94c 14304 freebsd-utils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 709d0e2ed8019f490a3bdfc6537073a085e952d4 39372 kldutils_9.0+ds1-4_kfreebsd-i386.deb
 91c15ece418140e575a2b0734e2dcb90e597b21c 6990 kldutils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 2d51108f325e9dd47057755b8587efea93b6a43a 125944 kbdcontrol_9.0+ds1-4_kfreebsd-i386.deb
 a29800824cbe8251b44307c786be5f726b438945 89298 kbdcontrol-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 289408cd37402045a49023fee28d4e7dc46c2317 128414 vidcontrol_9.0+ds1-4_kfreebsd-i386.deb
 e826d709f0dc9264ab078db6c372ec4557031d73 225598 freebsd-net-tools_9.0+ds1-4_kfreebsd-i386.deb
 af793ae0bc063cf0a6bfe2eba4707c5e0927af1f 83494 freebsd-net-tools-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 e9b523a711e2d2ed7f7ab8b0e2bcbcf3cfd0e7a0 69042 freebsd-nfs-server_9.0+ds1-4_kfreebsd-i386.deb
 6e0ab0d64b88d1d032e1ffc7b0df9c058a8a3474 78530 freebsd-nfs-common_9.0+ds1-4_kfreebsd-i386.deb
 641713032925451246a7df503d9e6406144120c6 165588 geom_9.0+ds1-4_kfreebsd-i386.deb
 cd62601ce3c16eb6780e8cf8d7d1e79e2fb59316 22218 freebsd-geom_9.0+ds1-4_kfreebsd-i386.deb
 18d1d970e81af92ed438b328b24e210f171b2990 283416 freebsd-ppp_9.0+ds1-4_kfreebsd-i386.deb
 5f6fe3e30f9670bd2d4d34d9bbf7e3ab4b735eb7 107410 devd_9.0+ds1-4_kfreebsd-i386.deb
 55ff9cf27af3ce09472f00d275ed86990b4e7238 74980 devd-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 7723746cbea9929a13865d91d57f9e99e2655ced 55816 ktrace_9.0+ds1-4_kfreebsd-i386.deb
 cf801adf4bcbe01746b6105b5501bef2225fab58 206410 pf_9.0+ds1-4_kfreebsd-i386.deb
 7b3443c33b93daeee50007a7f841be1b9e8d4c79 33406 powerd_9.0+ds1-4_kfreebsd-i386.deb
 1aaac8dbebdc2178080a3ea4b9d1406669d746af 28402 mkuzip_9.0+ds1-4_kfreebsd-i386.deb
Checksums-Sha256: 
 019412457010a8f50ce349579dc679a8a8bb18f921829db11ee52e68a893efa1 2732 freebsd-utils_9.0+ds1-4.dsc
 0fe624acd2d77be15db6e77c4de86f7a500b276c55f2f7fb215715d8136e7069 145877 freebsd-utils_9.0+ds1-4.debian.tar.gz
 019c1735f960ae756f2c52e701cb1bb9cbf6acfce482c099400f6f37af4dd73a 258234 freebsd-utils_9.0+ds1-4_kfreebsd-i386.deb
 6bca1723c23582a1a2a0d3e66dacb255272cc648ff347b4a0347386c93a31676 14304 freebsd-utils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 a765a47244d7a403285d5e74cd4be6eea67631847b42c81ff6effc2409b9a692 39372 kldutils_9.0+ds1-4_kfreebsd-i386.deb
 e83d82e23081c5bbc62c98bb3b7c36ca267f776ee1afb9f4b40bfd25a3c0382b 6990 kldutils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 01a774cbf61dbc2e1d2dcd3303cf83b595da951c41dde6a00114705181b07c3b 125944 kbdcontrol_9.0+ds1-4_kfreebsd-i386.deb
 e98b2bd999f327212a22b0f0c0bd91f1c1702d95bdde595b061c8d2ba85ca805 89298 kbdcontrol-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 a4ac9dff6c141d7dffeec6877f780c55b04e4586a7c3a77f1fb7143f6a28bc00 128414 vidcontrol_9.0+ds1-4_kfreebsd-i386.deb
 6c25fc71cb32f332623e96a44963052913ba2338e2a667fcab83f60aa1d67263 225598 freebsd-net-tools_9.0+ds1-4_kfreebsd-i386.deb
 1c46692bc41170b35d665473f3493b9f37575609515f33cf0a5eb73e98397b4a 83494 freebsd-net-tools-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 79f7d86c90324c205d433cdabb28f4ad706eb4ca8e6b5cb12bb0e6f1f8eefa2b 69042 freebsd-nfs-server_9.0+ds1-4_kfreebsd-i386.deb
 50e6aa7b572120eadd518dd780b5ef84ebe275cc87e49aef716db9d493b83fa7 78530 freebsd-nfs-common_9.0+ds1-4_kfreebsd-i386.deb
 864b3bcaf88c49e129826c021dbfa78fd4b70b9bf1478b0f2e18302c5db2e04b 165588 geom_9.0+ds1-4_kfreebsd-i386.deb
 a9f9bb702e666ab0515da53e0bea5ee8b8bce62db82204db118fb45ba207bf2d 22218 freebsd-geom_9.0+ds1-4_kfreebsd-i386.deb
 081f98647756849eb545f22533c5a5423bbfe4ca0d204f7c3d0b95a6f969088d 283416 freebsd-ppp_9.0+ds1-4_kfreebsd-i386.deb
 abbc84343761f3be1707f918df8ba19a1af5db55f7e0ac24bbe05156c6dc3292 107410 devd_9.0+ds1-4_kfreebsd-i386.deb
 1f79d8d617b20d12764686373962f614e03a5b1cb8dd765698e1a97baea5da62 74980 devd-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 5aa135848b7ff0ad784481a8b38e96077c11a9d6a1aa2bc767b82b22b8f413fa 55816 ktrace_9.0+ds1-4_kfreebsd-i386.deb
 082355105a4c8cc19f02d0e44a8d9e8b708358ab346951017439e580096820bf 206410 pf_9.0+ds1-4_kfreebsd-i386.deb
 9216adeb0f3c8bafa68005ad6a7342d059b503bcc212b90f6ddeefadbedcbf1d 33406 powerd_9.0+ds1-4_kfreebsd-i386.deb
 6f415510b918bacf6e9375a399698f0057e0f2c9cb7ebaf46290bb1d16d5e288 28402 mkuzip_9.0+ds1-4_kfreebsd-i386.deb
Files: 
 1dd5c50995f4d086e529f2d1febf91e9 2732 utils important freebsd-utils_9.0+ds1-4.dsc
 288d8bc82f1289425366b6340cd789f3 145877 utils important freebsd-utils_9.0+ds1-4.debian.tar.gz
 f8eb34195c2a1b40a98a7c474f7a8c4b 258234 utils required freebsd-utils_9.0+ds1-4_kfreebsd-i386.deb
 a8f6e64cc8b40f6983eb66094c79bbfa 14304 debian-installer optional freebsd-utils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 d99d511a0c7d5eef0044db13b80c346e 39372 utils important kldutils_9.0+ds1-4_kfreebsd-i386.deb
 95e05bbab5c5560445d4f7396f167ff8 6990 debian-installer optional kldutils-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 e35a82d8e660468ec47f1cce9bd6bb1a 125944 utils important kbdcontrol_9.0+ds1-4_kfreebsd-i386.deb
 16137f2206da1f3e782c457e49162236 89298 debian-installer important kbdcontrol-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 1ad19e9f87764a4abaca152c5dfee968 128414 utils important vidcontrol_9.0+ds1-4_kfreebsd-i386.deb
 be4d5648f61045ffc296f4bfbc839a41 225598 net important freebsd-net-tools_9.0+ds1-4_kfreebsd-i386.deb
 67edd824509bec55cf3d2e0737bf9005 83494 debian-installer important freebsd-net-tools-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 f971caac0490cda8845f98eb77d205b0 69042 net optional freebsd-nfs-server_9.0+ds1-4_kfreebsd-i386.deb
 bf57fa278a142a68740259c5ee4fa301 78530 net standard freebsd-nfs-common_9.0+ds1-4_kfreebsd-i386.deb
 0dfb7ae07f557aec1b910d024bf788e9 165588 admin standard geom_9.0+ds1-4_kfreebsd-i386.deb
 2bbc08ddad83cdffac83c5cb2443f7f0 22218 admin standard freebsd-geom_9.0+ds1-4_kfreebsd-i386.deb
 876c2dd57ee0a67bf1b50a59df7fd1d7 283416 net optional freebsd-ppp_9.0+ds1-4_kfreebsd-i386.deb
 3da617d4ec8639c3cb12be52ede4dde3 107410 admin important devd_9.0+ds1-4_kfreebsd-i386.deb
 2d13209340c4b49da6f8a9542db3ac4d 74980 debian-installer important devd-udeb_9.0+ds1-4_kfreebsd-i386.udeb
 914b944c4517244d6347c1f84a426d91 55816 utils optional ktrace_9.0+ds1-4_kfreebsd-i386.deb
 d42009a43487620293150c514cd1ce0f 206410 net important pf_9.0+ds1-4_kfreebsd-i386.deb
 0109c920cec183453a74afc6f3c7064f 33406 admin standard powerd_9.0+ds1-4_kfreebsd-i386.deb
 25c7ba50467d8b6e7929d21893703300 28402 misc extra mkuzip_9.0+ds1-4_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk+oSOsACgkQC19io6rUCv9hOACfQXwMZSE67hl38JP+tKknPsOc
a9EAn2pZSFQczirbuiiCBdxVPCn97lbE
=mXFp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:34:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:50:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.